diff --git a/web/pgadmin/misc/cloud/static/js/aws.js b/web/pgadmin/misc/cloud/static/js/aws.js
new file mode 100644
index 000000000..3a5ac1665
--- /dev/null
+++ b/web/pgadmin/misc/cloud/static/js/aws.js
@@ -0,0 +1,243 @@
+/////////////////////////////////////////////////////////////
+//
+// pgAdmin 4 - PostgreSQL Tools
+//
+// Copyright (C) 2013 - 2022, The pgAdmin Development Team
+// This software is released under the PostgreSQL Licence
+//
+//////////////////////////////////////////////////////////////
+
+import React from 'react';
+import pgAdmin from 'sources/pgadmin';
+import { getNodeAjaxOptions, getNodeListById } from 'pgbrowser/node_ajax';
+import {CloudInstanceDetailsSchema, CloudDBCredSchema, DatabaseSchema} from './cloud_db_details_schema.ui';
+import SchemaView from '../../../../static/js/SchemaView';
+import url_for from 'sources/url_for';
+import getApiInstance from '../../../../static/js/api_instance';
+import { isEmptyString } from 'sources/validators';
+import PropTypes from 'prop-types';
+
+// AWS credentials
+export function AwsCredentials(props) {
+  const [cloudDBCredInstance, setCloudDBCredInstance] = React.useState();
+
+  React.useMemo(() => {
+    const cloudDBCredSchema = new CloudDBCredSchema({
+      regions: ()=>getNodeAjaxOptions('get_aws_regions', pgAdmin.Browser.Nodes['server'], props.nodeInfo, props.nodeData, {
+        useCache:false,
+        cacheNode: 'server',
+        customGenerateUrl: ()=>{
+          return url_for('rds.regions');
+        }
+      }),
+    });
+    setCloudDBCredInstance(cloudDBCredSchema);
+  }, [props.cloudProvider]);
+
+  return  <SchemaView
+    formType={'dialog'}
+    getInitData={() => { /*This is intentional (SonarQube)*/ }}
+    viewHelperProps={{ mode: 'create' }}
+    schema={cloudDBCredInstance}
+    showFooter={false}
+    isTabView={false}
+    onDataChange={(isChanged, changedData) => {
+      props.setCloudDBCred(changedData);
+    }}
+  />;
+}
+AwsCredentials.propTypes = {
+  nodeInfo: PropTypes.object,
+  nodeData: PropTypes.object,
+  cloudProvider: PropTypes.string,
+  setCloudDBCred: PropTypes.func,
+};
+
+// AWS Instance Details
+export function AwsInstanceDetails(props) {
+  const [cloudInstanceDetailsInstance, setCloudInstanceDetailsInstance] = React.useState();
+
+  React.useMemo(() => {
+    const cloudDBInstanceSchema = new CloudInstanceDetailsSchema({
+      version: ()=>getNodeAjaxOptions('get_aws_db_versions', pgAdmin.Browser.Nodes['server'], props.nodeInfo, props.nodeData, {
+        useCache:false,
+        cacheNode: 'server',
+        customGenerateUrl: ()=>{
+          return url_for('rds.db_versions');
+        }
+      }),
+      getInstances: (engine, reload, options) =>
+      {
+        return new Promise((resolve, reject)=>{
+          const api = getApiInstance();
+          var _url = url_for('rds.db_instances') ;
+
+          if (engine) _url += '?eng_version=' + engine;
+          if (reload || options === undefined || options.length == 0) {
+            api.get(_url)
+              .then(res=>{
+                let data = res.data.data;
+                resolve(data);
+              })
+              .catch((err)=>{
+                reject(err);
+              });
+          } else {
+            resolve(options);
+          }
+        });
+      },
+      instance_type: ()=>getNodeAjaxOptions('get_aws_db_instances', pgAdmin.Browser.Nodes['server'], props.nodeInfo, props.nodeData, {
+        useCache:false,
+        cacheNode: 'server',
+        customGenerateUrl: ()=>{
+          return url_for('rds.db_instances');
+        }
+      }),
+      server_groups: ()=>getNodeListById(pgAdmin.Browser.Nodes['server_group'], props.nodeInfo, props.nodeData),
+    }, {
+      gid: props.nodeInfo['server_group']._id,
+      hostIP: props.hostIP,
+    });
+    setCloudInstanceDetailsInstance(cloudDBInstanceSchema);
+  }, [props.cloudProvider]);
+
+
+  return  <SchemaView
+    formType={'dialog'}
+    getInitData={() => { /*This is intentional (SonarQube)*/ }}
+    viewHelperProps={{ mode: 'create' }}
+    schema={cloudInstanceDetailsInstance}
+    showFooter={false}
+    isTabView={false}
+    onDataChange={(isChanged, changedData) => {
+      props.setCloudInstanceDetails(changedData);
+    }}
+  />;
+}
+AwsInstanceDetails.propTypes = {
+  nodeInfo: PropTypes.object,
+  nodeData: PropTypes.object,
+  cloudProvider: PropTypes.string,
+  hostIP: PropTypes.string,
+  setCloudInstanceDetails: PropTypes.func,
+};
+
+// AWS Database Details
+export function AwsDatabaseDetails(props) {
+  const [cloudDBInstance, setCloudDBInstance] = React.useState();
+
+  React.useMemo(() => {
+    const cloudDBSchema = new DatabaseSchema({
+      server_groups: ()=>getNodeListById(pgAdmin.Browser.Nodes['server_group'], props.nodeInfo, props.nodeData),
+    },
+    {
+      gid: props.nodeInfo['server_group']._id,
+    }
+    );
+    setCloudDBInstance(cloudDBSchema);
+
+  }, [props.cloudProvider]);
+
+  return <SchemaView
+    formType={'dialog'}
+    getInitData={() => { /*This is intentional (SonarQube)*/ }}
+    viewHelperProps={{ mode: 'create' }}
+    schema={cloudDBInstance}
+    showFooter={false}
+    isTabView={false}
+    onDataChange={(isChanged, changedData) => {
+      props.setCloudDBDetails(changedData);
+    }}
+  />;
+}
+AwsDatabaseDetails.propTypes = {
+  nodeInfo: PropTypes.object,
+  nodeData: PropTypes.object,
+  cloudProvider: PropTypes.string,
+  setCloudDBDetails: PropTypes.func,
+};
+
+export function validateCloudStep1(cloudDBCred) {
+  let isError = false;
+  if (isEmptyString(cloudDBCred.access_key) || isEmptyString(cloudDBCred.secret_access_key)) {
+    isError = true;
+  }
+  return isError;
+}
+
+export function validateCloudStep2(cloudInstanceDetails, host_ip) {
+  let isError = false;
+  if (isEmptyString(cloudInstanceDetails.name) ||
+  isEmptyString(cloudInstanceDetails.db_version) || isEmptyString(cloudInstanceDetails.instance_type) ||
+  isEmptyString(cloudInstanceDetails.storage_type)|| isEmptyString(cloudInstanceDetails.storage_size)) {
+    isError = true;
+  }
+
+  if(cloudInstanceDetails.storage_type == 'io1' && isEmptyString(cloudInstanceDetails.storage_IOPS)) {
+    isError = true;
+  }
+  if (isEmptyString(cloudInstanceDetails.public_ip)) cloudInstanceDetails.public_ip = host_ip;
+  return isError;
+}
+
+export function validateCloudStep3(cloudDBDetails, nodeInfo) {
+  let isError = false;
+  if (isEmptyString(cloudDBDetails.db_name) ||
+  isEmptyString(cloudDBDetails.db_username) || isEmptyString(cloudDBDetails.db_password)) {
+    isError = true;
+  }
+  if (isEmptyString(cloudDBDetails.db_port)) cloudDBDetails.db_port = 5432;
+  if (isEmptyString(cloudDBDetails.gid)) cloudDBDetails.gid = nodeInfo['server_group']._id;
+  return isError;
+}
+
+function createData(name, value) {
+  return { name, value };
+}
+
+export function getAWSSummary(cloud, cloudInstanceDetails, cloudDBDetails) {
+  const rows1 = [
+    createData('Cloud', cloud),
+    createData('Instance name', cloudInstanceDetails.name),
+    createData('Public IP', cloudInstanceDetails.public_ip),
+  ];
+
+  const rows2 = [
+    createData('PostgreSQL version', cloudInstanceDetails.db_version),
+    createData('Instance type', cloudInstanceDetails.instance_type),
+  ];
+
+  let _storage_type = getStorageType(cloudInstanceDetails);
+
+  const rows3 = [
+    createData('Storage type', _storage_type[1]),
+    createData('Allocated storage', cloudInstanceDetails.storage_size + ' GiB'),
+  ];
+  if (_storage_type[0] !== undefined) {
+    rows3.push(createData('Provisioned IOPS', _storage_type[0]));
+  }
+
+  const rows4 = [
+    createData('Database name', cloudDBDetails.db_name),
+    createData('Username', cloudDBDetails.db_username),
+    createData('Password', 'xxxxxxx'),
+    createData('Port',  cloudDBDetails.db_port),
+  ];
+
+  return [rows1, rows2, rows3, rows4];
+}
+
+const getStorageType = (cloudInstanceDetails) => {
+  let _storage_type = 'General Purpose SSD (gp2)',
+    _io1 = undefined;
+
+  if(cloudInstanceDetails.storage_type == 'gp2') _storage_type = 'General Purpose SSD (gp2)';
+  else if(cloudInstanceDetails.storage_type == 'io1') {
+    _storage_type = 'Provisioned IOPS SSD (io1)';
+    _io1 = cloudInstanceDetails.storage_IOPS;
+  }
+  else if(cloudInstanceDetails.storage_type == 'magnetic') _storage_type = 'Magnetic';
+
+  return [_io1, _storage_type];
+};
diff --git a/web/pgadmin/misc/cloud/static/js/biganimal.js b/web/pgadmin/misc/cloud/static/js/biganimal.js
new file mode 100644
index 000000000..b7b763ade
--- /dev/null
+++ b/web/pgadmin/misc/cloud/static/js/biganimal.js
@@ -0,0 +1,206 @@
+/////////////////////////////////////////////////////////////
+//
+// pgAdmin 4 - PostgreSQL Tools
+//
+// Copyright (C) 2013 - 2022, The pgAdmin Development Team
+// This software is released under the PostgreSQL Licence
+//
+//////////////////////////////////////////////////////////////
+
+import React from 'react';
+import pgAdmin from 'sources/pgadmin';
+import { getNodeAjaxOptions, getNodeListById } from 'pgbrowser/node_ajax';
+import {BigAnimalClusterSchema, BigAnimalDatabaseSchema} from './cloud_db_details_schema.ui';
+import SchemaView from '../../../../static/js/SchemaView';
+import url_for from 'sources/url_for';
+import getApiInstance from '../../../../static/js/api_instance';
+import { isEmptyString } from 'sources/validators';
+import PropTypes from 'prop-types';
+
+
+const axiosApi = getApiInstance();
+
+// BigAnimal Instance
+export function BigAnimalInstance(props) {
+  const [bigAnimalInstance, setBigAnimalInstance] = React.useState();
+
+  React.useMemo(() => {
+    const bigAnimalSchema = new BigAnimalClusterSchema({
+      regions: ()=>getNodeAjaxOptions('biganimal_regions', pgAdmin.Browser.Nodes['server'], props.nodeInfo, props.nodeData, {
+        useCache:false,
+        cacheNode: 'server',
+        customGenerateUrl: ()=>{
+          return url_for('biganimal.regions');
+        }
+      }),
+      instance_types: (region_id)=>getNodeAjaxOptions('biganimal_instance_types', pgAdmin.Browser.Nodes['server'],
+        props.nodeInfo, props.nodeData, {
+          useCache:false,
+          cacheNode: 'server',
+          customGenerateUrl: ()=>{
+            return url_for('biganimal.instance_types', {'region_id': region_id || 0});
+          }
+        }),
+      volume_types: (region_id)=>getNodeAjaxOptions('biganimal_volume_types', pgAdmin.Browser.Nodes['server'],
+        props.nodeInfo, props.nodeData, {
+          useCache:false,
+          cacheNode: 'server',
+          customGenerateUrl: ()=>{
+            return url_for('biganimal.volume_types', {'region_id': region_id || 0});
+          }
+        }),
+      volume_properties: (region_id, volume_type)=>getNodeAjaxOptions('biganimal_volume_properties', pgAdmin.Browser.Nodes['server'],
+        props.nodeInfo, props.nodeData, {
+          useCache:false,
+          cacheNode: 'server',
+          customGenerateUrl: ()=>{
+            return url_for('biganimal.volume_properties', {'region_id': region_id || 0, 'volume_type': volume_type || ''});
+          }
+        }),
+    }, {
+      nodeInfo: props.nodeInfo,
+      nodeData: props.nodeData,
+      hostIP: props.hostIP,
+    });
+    setBigAnimalInstance(bigAnimalSchema);
+  }, [props.cloudProvider]);
+
+  return  <SchemaView
+    formType={'dialog'}
+    getInitData={() => { /*This is intentional (SonarQube)*/ }}
+    viewHelperProps={{ mode: 'create' }}
+    schema={bigAnimalInstance}
+    showFooter={false}
+    isTabView={false}
+    onDataChange={(isChanged, changedData) => {
+      props.setBigAnimalInstanceData(changedData);
+    }}
+  />;
+}
+BigAnimalInstance.propTypes = {
+  nodeInfo: PropTypes.object,
+  nodeData: PropTypes.object,
+  cloudProvider: PropTypes.string,
+  setBigAnimalInstanceData: PropTypes.func,
+  hostIP: PropTypes.string,
+};
+
+
+// BigAnimal Instance
+export function BigAnimalDatabase(props) {
+  const [bigAnimalDatabase, setBigAnimalDatabase] = React.useState();
+
+  React.useMemo(() => {
+    const bigAnimalDBSchema = new BigAnimalDatabaseSchema({
+      db_types: ()=>getNodeAjaxOptions('biganimal_db_types', pgAdmin.Browser.Nodes['server'], props.nodeInfo, props.nodeData, {
+        useCache:false,
+        cacheNode: 'server',
+        customGenerateUrl: ()=>{
+          return url_for('biganimal.db_types');
+        }
+      }),
+      db_versions: ()=>getNodeAjaxOptions('biganimal_db_versions', pgAdmin.Browser.Nodes['server'], props.nodeInfo, props.nodeData, {
+        useCache:false,
+        cacheNode: 'server',
+        customGenerateUrl: ()=>{
+          return url_for('biganimal.db_versions');
+        }
+      }),
+      server_groups: ()=>getNodeListById(pgAdmin.Browser.Nodes['server_group'], props.nodeInfo, props.nodeData),
+    }, {gid: props.nodeInfo['server_group']._id});
+    setBigAnimalDatabase(bigAnimalDBSchema);
+  }, [props.cloudProvider]);
+
+  return  <SchemaView
+    formType={'dialog'}
+    getInitData={() => { /*This is intentional (SonarQube)*/ }}
+    viewHelperProps={{ mode: 'create' }}
+    schema={bigAnimalDatabase}
+    showFooter={false}
+    isTabView={false}
+    onDataChange={(isChanged, changedData) => {
+      props.setBigAnimalDatabaseData(changedData);
+    }}
+  />;
+}
+BigAnimalDatabase.propTypes = {
+  nodeInfo: PropTypes.object,
+  nodeData: PropTypes.object,
+  cloudProvider: PropTypes.string,
+  setBigAnimalDatabaseData: PropTypes.func,
+};
+
+
+export function validateBigAnimal() {
+  return new Promise((resolve, reject)=>{
+    let _url = url_for('biganimal.verification') ;
+    axiosApi.get(_url)
+      .then((res) => {
+        if (res.data.data) {
+          resolve(res.data.data);
+        }
+      })
+      .catch((error) => {
+        reject(`Error while fetchng EDB BigAnimal verification uri: ${error.response.data.errormsg}`);
+      });
+  });
+}
+
+
+function createData(name, value) {
+  return { name, value };
+}
+
+export function getBigAnimalSummary(cloud, bigAnimalInstanceData, bigAnimalDatabaseData) {
+  const rows1 = [
+    createData('Cloud', cloud),
+    createData('Instance name', bigAnimalInstanceData.name),
+    createData('Region', bigAnimalInstanceData.region),
+    createData('Cluster type', bigAnimalInstanceData.cloud_type),
+    createData('Public IPs', bigAnimalInstanceData.public_ip),
+  ];
+
+  let instance_size = bigAnimalInstanceData.instance_size.split('||');
+
+  const rows2 = [
+    createData('Instance type', bigAnimalInstanceData.instance_type),
+    createData('Instance series', bigAnimalInstanceData.instance_series),
+    createData('Instance size', instance_size[0]),
+  ];
+
+  const rows3 = [
+    createData('Volume type', bigAnimalInstanceData.volume_type),
+    createData('Volume properties', bigAnimalInstanceData.volume_properties),
+  ];
+
+  const rows4 = [
+    createData('Password', 'xxxxxxx'),
+    createData('Database Type',  bigAnimalDatabaseData.database_type),
+    createData('Database Version',  bigAnimalDatabaseData.postgres_version),
+  ];
+
+  return [rows1, rows2, rows3, rows4];
+}
+
+export function validateBigAnimalStep2(cloudInstanceDetails) {
+  let isError = false;
+  if (isEmptyString(cloudInstanceDetails.name) ||
+  isEmptyString(cloudInstanceDetails.region) || isEmptyString(cloudInstanceDetails.instance_type) ||
+  isEmptyString(cloudInstanceDetails.instance_series)|| isEmptyString(cloudInstanceDetails.instance_size) ||
+  isEmptyString(cloudInstanceDetails.volume_type)|| isEmptyString(cloudInstanceDetails.volume_properties) ||
+  isEmptyString(cloudInstanceDetails.cloud_type)) {
+    isError = true;
+  }
+
+  return isError;
+}
+
+export function validateBigAnimalStep3(cloudDBDetails, nodeInfo) {
+  let isError = false;
+  if (isEmptyString(cloudDBDetails.password) ||
+  isEmptyString(cloudDBDetails.database_type) || isEmptyString(cloudDBDetails.postgres_version)) {
+    isError = true;
+  }
+  if (isEmptyString(cloudDBDetails.gid)) cloudDBDetails.gid = nodeInfo['server_group']._id;
+  return isError;
+}
diff --git a/web/pgadmin/misc/cloud/static/js/cloud_components.jsx b/web/pgadmin/misc/cloud/static/js/cloud_components.jsx
new file mode 100644
index 000000000..70fccdb0d
--- /dev/null
+++ b/web/pgadmin/misc/cloud/static/js/cloud_components.jsx
@@ -0,0 +1,106 @@
+/////////////////////////////////////////////////////////////
+//
+// pgAdmin 4 - PostgreSQL Tools
+//
+// Copyright (C) 2013 - 2022, The pgAdmin Development Team
+// This software is released under the PostgreSQL Licence
+//
+//////////////////////////////////////////////////////////////
+
+import React from 'react';
+import { ToggleButton, ToggleButtonGroup } from '@material-ui/lab';
+import CheckRoundedIcon from '@material-ui/icons/CheckRounded';
+import { DefaultButton, PrimaryButton } from '../../../../static/js/components/Buttons';
+import { makeStyles } from '@material-ui/core/styles';
+import { AWSIcon } from '../../../../static/js/components/ExternalIcon';
+import PropTypes from 'prop-types';
+import { getAWSSummary } from './aws';
+import { getBigAnimalSummary } from './biganimal';
+import { commonTableStyles } from '../../../../static/js/Theme';
+import { Table, TableBody, TableCell, TableHead, TableRow } from '@material-ui/core';
+import clsx from 'clsx';
+import gettext from 'sources/gettext';
+
+
+const useStyles = makeStyles(() =>
+  ({
+    toggleButton: {
+      height: '100px',
+    },
+  }),
+);
+
+
+export function ToggleButtons(props) {
+  const classes = useStyles();
+
+  const handleCloudProvider = (event, provider) => {
+    if (provider) props.setCloudProvider(provider);
+  };
+
+  return (
+    <ToggleButtonGroup
+      color="primary"
+      value={props.cloudProvider}
+      onChange={handleCloudProvider}
+      className={classes.toggleButton}
+      exclusive>
+      {
+        (props.options||[]).map((option)=>{
+          return (<ToggleButton value={option.value} key={option.label} aria-label={option.label} component={props.cloudProvider == option.value ? PrimaryButton : DefaultButton}>
+            <CheckRoundedIcon style={{visibility: props.cloudProvider == option.value  ? 'visible': 'hidden'}}/>&nbsp;
+            {option.value == 'rds' ? <AWSIcon className={classes.icon} /> : ''}&nbsp;&nbsp;{option.label}
+          </ToggleButton>);
+        })
+      }
+    </ToggleButtonGroup>
+  );
+}
+ToggleButtons.propTypes = {
+  setCloudProvider: PropTypes.func,
+  cloudProvider: PropTypes.string,
+  options: PropTypes.array,
+};
+
+
+export function FinalSummary(props) {
+  const tableClasses = commonTableStyles();
+  let summary = [],
+    summaryHeader = ['Cloud Details', 'Version and Instance Details', 'Storage Details', 'Database Details'];
+
+  if (props.cloudProvider == 'biganimal') {
+    summary = getBigAnimalSummary(props.cloudProvider, props.instanceData, props.databaseData);
+    summaryHeader[1] = 'Version Details'
+  } else {
+    summary = getAWSSummary(props.cloudProvider, props.instanceData, props.databaseData);
+  }
+
+  const displayTableRows = (rows) => {
+    return rows.map((row) => (
+      <TableRow key={row.name} >
+        <TableCell scope="row">{row.name}</TableCell>
+        <TableCell align="right">{row.value}</TableCell>
+      </TableRow>
+    ));
+  };
+
+  return summary.map((item, index) => {
+    return (
+      <Table key={index} className={clsx(tableClasses.table)}>
+        <TableHead>
+          <TableRow>
+            <TableCell colSpan={2}>{gettext(summaryHeader[index])}</TableCell>
+          </TableRow>
+        </TableHead>
+        <TableBody>
+          {displayTableRows(item)}
+        </TableBody>
+      </Table>
+    );
+  });
+}
+FinalSummary.propTypes = {
+  cloudProvider: PropTypes.string,
+  instanceData: PropTypes.object,
+  databaseData: PropTypes.object,
+};
